Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Class ExpressionImpl

    java.lang.Object
      com.beasys.commerce.foundation.expression.ExpressionImpl

All Implemented Interfaces:
  Cloneable, Comparable, Expression, Serializable

Direct Known Subclasses:
  CriteriaImpl, LogicalImpl

Deprecated. Use `Expression` instead.

public class ExpressionImpl
extends Object
implements Expression

This is the abstract base class for CriteriaImpl and LogicalImpl.

This class should not be directly instantiated.

.

See Also:
  `ExpressionHelper`, Serialized Form

Field Summary
`boolean` | `not` Deprecated. Specifies if this is a negative logical expression.

Constructor Summary
`ExpressionImpl()` Deprecated.

Method Summary
`Object` | `clone()` Deprecated.
`int` | `compareTo(Object o)` Deprecated. Compare this belonging to another
`boolean` | `equals(Object o)` Deprecated.
`boolean` | `getNot()` Deprecated. Get the value of not
`String` | `interfaceName()` Deprecated. interfaceName() returns the unqualified name of the interface from the UML model.
`void` | `setByValue(Object value)` Deprecated. It is possible to call set-by-value with a superclass.
`void` | `setNot(boolean not)` Deprecated. Set the value of not
`String` | `toString()` Deprecated. Render the expression as a string.
`Object` | `value()` Deprecated. value() is a more typesafe implementation of clone()
`void` | `valueOf(String searchExpression)` Deprecated. Build a new expression that represents the string specified.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### not

    public boolean not

  Deprecated.
  Specifies if this is a negative logical expression.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### ExpressionImpl

    public ExpressionImpl()

  Deprecated.

Method Detail

### getNot

    public boolean getNot()

  Deprecated.
  Get the value of not

  Specified by:
    `getNot` in interface `Expression`

### setNot

    public void setNot(boolean not)

  Deprecated.
  Set the value of not

  Specified by:
    `setNot` in interface `Expression`

### value

    public Object value()

  Deprecated.
  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Expression`
  Returns:
    a clone of this instance

### clone

    public Object clone()

  Deprecated.

### interfaceName

    public String interfaceName()

  Deprecated.
  interfaceName() returns the unqualified name of the interface from the UML model.

  Specified by:
    `interfaceName` in interface `Expression`
  Returns:
    the unqualified name of the belonging interface

### setByValue

    public void setByValue(Object value)

  Deprecated.
  It is possible to call set-by-value with a superclass.

  If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values. It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Expression`

### compareTo

    public int compareTo(Object o)

  Deprecated.
  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal

### equals

    public boolean equals(Object o)

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Render the expression as a string.

  Specified by:
    `toString` in interface `Expression`
  See Also:
    `ExpressionHelper.toString(com.beasys.commerce.foundation.expression.Expression)`

### valueOf

    public void valueOf(String searchExpression)

  Deprecated.
  Build a new expression that represents the string specified.

  This methods should be marked as abstract.

  Specified by:
    `valueOf` in interface `Expression`
  See Also:
    `ExpressionHelper.parse(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved